config/routes.rb
Dairymen::Application.routes.draw do

  resources :plans

  resources :shifts

  resources :stalls

  resources :kine do
    resources :seminations
    resources :estruses
  end

  root :to => 'kine#index'

end

app/models/stall.rb
class Stall < ActiveRecord::Base
  has_many :cow
  has_many :shifts

  validates_presence_of :name
  validates :seq, :presence => true, :numericality => { :only_integer => true }, :uniqueness => true, :allow_blank => true
end

app/controllers/stalls_controller.rb
class StallsController < ApplicationController
  # GET /stalls
  # GET /stalls.json
  def index
    @search = Stall.search params[:search]
    @stalls = @search.page params[:page]

    respond_to do |format|
      format.html # index.html.erb
      format.json { render json: @stalls }
    end
  end

  # GET /stalls/1
  # GET /stalls/1.json
  def show
    @stall = Stall.find(params[:id])

    respond_to do |format|
      format.html # show.html.erb
      format.json { render json: @stall }
    end
  end

  # GET /stalls/new
  # GET /stalls/new.json
  def new
    @stall = Stall.new

    respond_to do |format|
      format.html # new.html.erb
      format.json { render json: @stall }
    end
  end

  # GET /stalls/1/edit
  def edit
    @stall = Stall.find(params[:id])
  end

  # POST /stalls
  # POST /stalls.json
  def create
    @stall = Stall.new(params[:stall])

    respond_to do |format|
      if @stall.save
        format.html { redirect_with_notice @stall, :created }
        format.json { render json: @stall, status: :created, location: @stall }
      else
        format.html { render action: "new" }
        format.json { render json: @stall.errors, status: :unprocessable_entity }
      end
    end
  end

  # PUT /stalls/1
  # PUT /stalls/1.json
  def update
    @stall = Stall.find(params[:id])

    respond_to do |format|
      if @stall.update_attributes(params[:stall])
        format.html { redirect_to @stall, notice: 'Stall was successfully updated.' }
        format.json { head :ok }
      else
        format.html { render action: "edit" }
        format.json { render json: @stall.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /stalls/1
  # DELETE /stalls/1.json
  def destroy
    @stall = Stall.find(params[:id])
    @stall.destroy

    respond_to do |format|
      format.html { redirect_to stalls_url }
      format.json { head :ok }
    end
  end
end

app/helpers/stalls_helper.rb
module StallsHelper
end

app/views/stalls/_form.html.haml
= simple_form_for @stall do |form|

  -if @stall.errors.any?
    #errorExplanation
      %h2= "#{pluralize(@stall.errors.count, "error")} prohibited this #{Stall.name.titleize} from being saved:"
      %ul
        - @stall.errors.full_messages.each do |msg|
          %li= msg  

  = form.input :name
  = form.input :seq

  .actions
    = form.button :submit

app/views/stalls/edit.html.haml
%h1= t ".edit_stall"

= render 'form'

= link_to t('.show'), @stall
\|
= link_to t('.back'), stalls_path

app/views/stalls/index.html.haml
%h1= t '.listing_stalls'

= simple_form_for @search do |f|
  = f.input :name_contains, :required => false
  = f.input :seq_gte, :as => :integer, :required => false
  = f.input :seq_lte, :as => :integer, :required => false
  = f.submit :search

%table
  %tr
    %th= sort_link @search, :name
    %th= sort_link @search, :seq
    %th= t('.cow')
    %th
    %th
    %th

  - @stalls.each do |stall|
    %tr
      %td= stall.name
      %td= stall.seq
      %td= stall.cow.map{|x|sanitize x.ear_tag}.join("<br>").html_safe
      %td= link_to t('.show'), stall
      %td= link_to t('.edit'), edit_stall_path(stall)
      %td= link_to t('.destroy'), stall, :confirm => 'Are you sure?', :method => :delete

%br

= link_to t('.new_stall'), new_stall_path
\|
= link_to t('.list_kine'), kine_path

app/views/stalls/new.html.haml
%h1= t '.new_stall'

= render 'form'

= link_to t('.back'), stalls_path

app/views/stalls/show.html.haml
%h1= t ".show_stall"

%p#notice= notice

%p
  %b= t(".name")
  = @stall.name
%p
  %b= t(".seq")
  = @stall.seq

= link_to t('.edit'), edit_stall_path(@stall)
\|
= link_to t('.create'), new_stall_path
\|
= link_to t('.back'), stalls_path